SimpleGroovyProgramElementDoc (Groovy 5.0.8)

Package: org.codehaus.groovy.tools.groovydoc

## [Java] Class SimpleGroovyProgramElementDoc

- org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc

- All Implemented Interfaces and Traits:
    GroovyProgramElementDoc

      public class SimpleGroovyProgramElementDoc
      extends SimpleGroovyDoc
      implements GroovyProgramElementDoc

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class SimpleGroovyDoc` | `ANNOTATION_DEF, CLASS_DEF, ENUM_DEF, INTERFACE_DEF, RECORD_DEF, TRAIT_DEF`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SimpleGroovyProgramElementDoc(String name)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `addAnnotationRef(GroovyAnnotationRef ref)`
    `` | `public GroovyAnnotationRef[]` | `annotations()`
    `` | `public GroovyClassDoc` | `containingClass()`
    `` | `public GroovyPackageDoc` | `containingPackage()`
    `` | `public boolean` | `isFinal()`
    `` | `public boolean` | `isPackagePrivate()`
    `` | `public boolean` | `isPrivate()`
    `` | `public boolean` | `isProtected()`
    `` | `public boolean` | `isPublic()`
    `` | `public boolean` | `isStatic()`
    `` | `public int` | `modifierSpecifier()`
    `` | `public String` | `modifiers()`
    `` | `public String` | `qualifiedName()`
    `` | `public void` | `setContainingPackage(GroovyPackageDoc packageDoc)`
    `` | `public void` | `setFinal(boolean b)`
    `` | `public void` | `setPackagePrivate(boolean b)`
    `` | `public void` | `setPrivate(boolean b)`
    `` | `public void` | `setProtected(boolean b)`
    `` | `public void` | `setPublic(boolean b)`
    `` | `public void` | `setStatic(boolean b)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SimpleGroovyDoc` | `calculateFirstSentence, commentText, compareTo, firstSentenceCommentText, getRawCommentText, getTypeDescription, getTypeSourceDescription, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isRecord, isScript, isTrait, name, setCommentText, setDeprecated, setFirstSentenceCommentText, setRawCommentText, setScript, setTokenType, tags, toString, tokenType`

- - ### Constructor Detail

    - #### public SimpleGroovyProgramElementDoc(String name)

  - ### Method Detail

    - #### public void addAnnotationRef(GroovyAnnotationRef ref)

    - #### @Override
      public GroovyAnnotationRef[] annotations()

    - #### @Override
      public GroovyClassDoc containingClass()

    - #### @Override
      public GroovyPackageDoc containingPackage()

    - #### @Override
      public boolean isFinal()

    - #### @Override
      public boolean isPackagePrivate()

    - #### @Override
      public boolean isPrivate()

    - #### @Override
      public boolean isProtected()

    - #### @Override
      public boolean isPublic()

    - #### @Override
      public boolean isStatic()

    - #### @Override
      public int modifierSpecifier()

    - #### @Override
      public String modifiers()

    - #### @Override
      public String qualifiedName()

    - #### public void setContainingPackage(GroovyPackageDoc packageDoc)

    - #### public void setFinal(boolean b)

    - #### public void setPackagePrivate(boolean b)

    - #### public void setPrivate(boolean b)

    - #### public void setProtected(boolean b)

    - #### public void setPublic(boolean b)

    - #### public void setStatic(boolean b)